## GOComboColor

GOComboColor

## Functions

GOColor | go_combo_color_get_color ()
GtkWidget * | go_combo_color_new ()
void | go_combo_color_set_allow_alpha ()
void | go_combo_color_set_color ()
void | go_combo_color_set_color_gdk ()
void | go_combo_color_set_color_to_default ()
void | go_combo_color_set_icon ()
void | go_combo_color_set_instant_apply ()

## Signals

void | color-changed | Run Last
void | display-custom-dialog | Run Last

## Types and Values

| GOComboColor

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBox
                        ╰── GOComboBox
                            ╰── GOComboColor

## Implemented Interfaces

GOComboColor implements AtkImplementorIface, GtkBuildable and GtkOrientable.

## Description

## Functions

### go_combo_color_get_color ()

    GOColor
    go_combo_color_get_color (GOComboColor *cc,
                              gboolean *is_default);

### go_combo_color_new ()

    GtkWidget *
    go_combo_color_new (GdkPixbuf *icon,
                        char const *no_color_label,
                        GOColor default_color,
                        GOColorGroup *color_group);

Default constructor. Pass an optional icon and an optional label for the no/auto color button.

#### Parameters

icon | optionally `NULL`. |
no_color_label | FIXME |
default_color | The colour to use as the default |
color_group | GOColorGroup |

#### Returns

The newly constructed combo.

### go_combo_color_set_allow_alpha ()

    void
    go_combo_color_set_allow_alpha (GOComboColor *cc,
                                    gboolean allow_alpha);

Should the custom colour selector allow the use of opacity.

#### Parameters

cc | GOComboColor |
allow_alpha | Support alpha layer |

### go_combo_color_set_color ()

    void
    go_combo_color_set_color (GOComboColor *cc,
                              GOColor color);

#### Parameters

cc | GOComboColor |
color | a GOColor |

### go_combo_color_set_color_gdk ()

    void
    go_combo_color_set_color_gdk (GOComboColor *cc,
                                  GdkRGBA *color);

Set the color of the combo to the given color. Causes the color_changed signal to be emitted.

#### Parameters

cc | The combo |
color | The color |

### go_combo_color_set_color_to_default ()

    void
    go_combo_color_set_color_to_default (GOComboColor *cc);

Set the color of the combo to the default color. Causes the color_changed signal to be emitted.

#### Parameters

cc | GOComboColor |

### go_combo_color_set_icon ()

    void
    go_combo_color_set_icon (GOComboColor *cc,
                             GdkPixbuf *icon);

#### Parameters

cc | a GOComboColor |
icon | new icon for the combo. | [allow-none]

### go_combo_color_set_instant_apply ()

    void
    go_combo_color_set_instant_apply (GOComboColor *cc,
                                      gboolean active);

Turn instant apply behaviour on or off. Instant apply means that pressing the button applies the current color. When off, pressing the button opens the combo.

#### Parameters

cc | GOComboColor |
active | Whether instant apply should be active or not |

## Types and Values

### GOComboColor

    typedef struct _GOComboColor GOComboColor;

## Signal Details

### The `“color-changed”` signal

    void
    user_function (GOComboColor *gocombocolor,
                   gint          arg1,
                   gboolean      arg2,
                   gboolean      arg3,
                   gboolean      arg4,
                   gpointer      user_data)

Flags: Run Last

### The `“display-custom-dialog”` signal

    void
    user_function (GOComboColor *gocombocolor,
                   GObject      *arg1,
                   gpointer      user_data)

Flags: Run Last